This folder should contain tests that will be run automatically by the CICD pipeline.

The trigger mechanism to execute these tests is `.gitlab-ci.yml` in the toplevel folder of this repository.

 - *.sh will be executed by a shell, *.yml will be executed by ansible-playbook
 - A test should return 0 as success or otherwise as fail. See 0_Example*
 - Tests should aim not to alter the system except /tmp
 - Prefixing tests with 0-9 to give the execution some priority
 - Tests should not need elevated priviliges. A special user TODO is considered to be present
 - TODO a way to deal with Test Payload. This will be determined on test submission